package com.ruoyi.reportManagement.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 库存总账对象 t_whgenleg
 *
 * @author ruoyi
 * @date 2020-12-25
 */
public class TWhgenleg extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 年
     */
    private Long fAccyear;

    /**
     * 月
     */
    private Long fAccmonth;

    /**
     * 客户id,t_corps 中的name
     */
    private Long fCorpid;

    /**
     * 提单号
     */
    private String fMblno;

    /**
     * 原始入库业务编号
     */
    @Excel(name = "原始入库业务编号")
    private String fOriginalbillno;

    /**
     * 库区,显示仓库 库位 库区
     */
    private Long fWarehouseLocationid;

    /**
     * 货物品名,t_goods 中的no或 name，模糊查找选择后，存储f_id，显示name
     */
    private Long fGoodsid;

    /**
     * 仓储计费日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "仓储计费日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fChargedate;

    /**
     * 贸易方式,对应t_trademodels name
     */
    private Long fTrademodeid;

    /**
     * 上期件数
     */
    @Excel(name = "上期件数")
    private Long fPreqty;

    /**
     * 仓库
     */
    @Excel(name = "仓库")
    private Long fWarehouseid;

    /**
     * 上期毛重,单位为吨，保留6位小数
     */
    @Excel(name = "上期毛重,单位为吨，保留6位小数")
    private BigDecimal fPregrossweight;

    /**
     * 上期净重,
     */
    @Excel(name = "上期净重,")
    private BigDecimal fPrenetweight;

    /**
     * 入库件数
     */
    @Excel(name = "入库件数")
    private Long fQtyd;

    /**
     * 入库尺码
     */
    @Excel(name = "入库尺码")
    private BigDecimal fVolumnd;

    /**
     * 计费方式(数据字典)
     */
    @Excel(name = "计费方式(数据字典)")
    private Long fBillingway;

    /**
     * 入库毛重
     */
    @Excel(name = "入库毛重")
    private BigDecimal fGrossweightd;

    /**
     * 入库净重
     */
    @Excel(name = "入库净重")
    private BigDecimal fNetweightd;

    /**
     * 出口尺码
     */
    @Excel(name = "出口尺码")
    private BigDecimal fVolumnc;

    /**
     * 出库件数
     */
    @Excel(name = "出库件数")
    private Long fQtyc;

    /**
     * 出库毛重,单位为吨
     */
    @Excel(name = "出库毛重,单位为吨")
    private BigDecimal fGrossweightc;

    /**
     * 结余件数
     */
    @Excel(name = "结余件数")
    private Long fQtyblc;

    /**
     * 结余毛重
     */
    @Excel(name = "结余毛重")
    private BigDecimal fGrossweightblc;

    /**
     * 出库净重
     */
    @Excel(name = "出库净重")
    private BigDecimal fNetweightc;

    /**
     * 结余净重
     */
    @Excel(name = "结余净重")
    private BigDecimal fNetweightblc;

    /**
     * 结余尺码
     */
    @Excel(name = "结余尺码")
    private BigDecimal fVolumnblc;

    /**
     * 箱号
     */
    @Excel(name = "箱号")
    private String fCntrno;

    /**
     * 状态，默认 T ,正常T 停用F 下拉选择
     */
    @Excel(name = "状态，默认 T ,正常T 停用F 下拉选择")
    private String fStatus;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 业务类型(存汉字的，用来选择 产地 规格 品牌)
     */
    @Excel(name = "业务类型(存汉字的，用来选择 产地 规格 品牌)")
    private Long fBusinessType;

    /**
     * 唛头
     */
    @Excel(name = "唛头")
    private String fMarks;

    /**
     * 原始入库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "原始入库日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fOriginalbilldate;

    /**
     * 查询时间区间
     */
    private List<String> orgStorageDate;

    /** 仓库 */
    @Excel(name = "仓库")
    private Long fLocation;

    public void setorgStorageDate(List<String> orgStorageDate) {
        this.orgStorageDate = orgStorageDate;
    }

    public List<String> getorgStorageDate() {
        return orgStorageDate;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }


    public Long getfId() {
        return fId;
    }

    public void setfAccyear(Long fAccyear) {

        this.fAccyear = fAccyear;

    }


    public Long getfAccyear() {

        return fAccyear;

    }

    public void setfAccmonth(Long fAccmonth) {

        this.fAccmonth = fAccmonth;

    }


    public Long getfAccmonth() {

        return fAccmonth;

    }

    public void setfCorpid(Long fCorpid) {

        this.fCorpid = fCorpid;

    }


    public Long getfCorpid() {

        return fCorpid;

    }

    public void setfChargedate(Date fChargedate) {
        this.fChargedate = fChargedate;
    }

    public Date getfChargedate() {
        return fChargedate;
    }

    public void setfMblno(String fMblno) {

        this.fMblno = fMblno;

    }

    public String getfMblno() {

        return fMblno;

    }

    public void setfBillingway(Long fBillingway) {
        this.fBillingway = fBillingway;
    }

    public Long getfBillingway() {
        return fBillingway;
    }


    public void setfOriginalbillno(String fOriginalbillno) {

        this.fOriginalbillno = fOriginalbillno;

    }


    public String getfOriginalbillno() {

        return fOriginalbillno;

    }

    public void setfWarehouseLocationid(Long fWarehouseLocationid) {

        this.fWarehouseLocationid = fWarehouseLocationid;

    }


    public Long getfWarehouseLocationid() {

        return fWarehouseLocationid;

    }

    public void setfGoodsid(Long fGoodsid) {

        this.fGoodsid = fGoodsid;

    }


    public Long getfGoodsid() {

        return fGoodsid;

    }

    public void setfTrademodeid(Long fTrademodeid) {

        this.fTrademodeid = fTrademodeid;

    }


    public Long getfTrademodeid() {

        return fTrademodeid;

    }

    public void setfPreqty(Long fPreqty) {

        this.fPreqty = fPreqty;

    }


    public Long getfPreqty() {

        return fPreqty;

    }

    public void setfPregrossweight(BigDecimal fPregrossweight) {

        this.fPregrossweight = fPregrossweight;

    }


    public BigDecimal getfPregrossweight() {

        return fPregrossweight;

    }

    public void setfWarehouseid(Long fWarehouseid) {

        this.fWarehouseid = fWarehouseid;

    }


    public Long getfWarehouseid() {

        return fWarehouseid;

    }

    public void setfPrenetweight(BigDecimal fPrenetweight) {

        this.fPrenetweight = fPrenetweight;

    }


    public BigDecimal getfPrenetweight() {

        return fPrenetweight;

    }

    public void setfQtyd(Long fQtyd) {

        this.fQtyd = fQtyd;

    }


    public Long getfQtyd() {

        return fQtyd;

    }

    public void setfVolumnd(BigDecimal fVolumnd) {

        this.fVolumnd = fVolumnd;

    }


    public BigDecimal getfVolumnd() {

        return fVolumnd;

    }

    public void setfGrossweightd(BigDecimal fGrossweightd) {

        this.fGrossweightd = fGrossweightd;

    }


    public BigDecimal getfGrossweightd() {

        return fGrossweightd;

    }

    public void setfNetweightd(BigDecimal fNetweightd) {

        this.fNetweightd = fNetweightd;

    }


    public BigDecimal getfNetweightd() {

        return fNetweightd;

    }

    public void setfVolumnc(BigDecimal fVolumnc) {

        this.fVolumnc = fVolumnc;

    }


    public BigDecimal getfVolumnc() {

        return fVolumnc;

    }

    public void setfQtyc(Long fQtyc) {

        this.fQtyc = fQtyc;

    }


    public Long getfQtyc() {

        return fQtyc;

    }

    public void setfQtyblc(Long fQtyblc) {

        this.fQtyblc = fQtyblc;

    }


    public Long getfQtyblc() {

        return fQtyblc;

    }

    public void setfGrossweightc(BigDecimal fGrossweightc) {

        this.fGrossweightc = fGrossweightc;

    }


    public BigDecimal getfGrossweightc() {

        return fGrossweightc;

    }

    public void setfGrossweightblc(BigDecimal fGrossweightblc) {

        this.fGrossweightblc = fGrossweightblc;

    }


    public BigDecimal getfGrossweightblc() {

        return fGrossweightblc;

    }

    public void setfNetweightc(BigDecimal fNetweightc) {

        this.fNetweightc = fNetweightc;

    }


    public BigDecimal getfNetweightc() {

        return fNetweightc;

    }

    public void setfNetweightblc(BigDecimal fNetweightblc) {

        this.fNetweightblc = fNetweightblc;

    }


    public BigDecimal getfNetweightblc() {

        return fNetweightblc;

    }

    public void setfVolumnblc(BigDecimal fVolumnblc) {

        this.fVolumnblc = fVolumnblc;

    }


    public BigDecimal getfVolumnblc() {

        return fVolumnblc;

    }

    public void setfCntrno(String fCntrno) {

        this.fCntrno = fCntrno;

    }


    public String getfCntrno() {

        return fCntrno;

    }

    public void setfStatus(String fStatus) {

        this.fStatus = fStatus;

    }


    public String getfStatus() {

        return fStatus;

    }

    public void setDelFlag(String delFlag) {

        this.delFlag = delFlag;

    }


    public String getDelFlag() {

        return delFlag;

    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfBusinessType(Long fBusinessType) {
        this.fBusinessType = fBusinessType;
    }

    public Long getfBusinessType() {
        return fBusinessType;
    }

    public void setfOriginalbilldate(Date fOriginalbilldate) {

        this.fOriginalbilldate = fOriginalbilldate;

    }


    public Date getfOriginalbilldate() {

        return fOriginalbilldate;

    }

    public Long getfLocation() {
        return fLocation;
    }

    public void setfLocation(Long fLocation) {
        this.fLocation = fLocation;
    }

    @Override

    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fAccyear", getfAccyear())
                .append("fAccmonth", getfAccmonth())
                .append("fCorpid", getfCorpid())
                .append("fMblno", getfMblno())
                .append("fOriginalbillno", getfOriginalbillno())
                .append("fWarehouseLocationid", getfWarehouseLocationid())
                .append("fGoodsid", getfGoodsid())
                .append("fChargedate", getfChargedate())
                .append("fTrademodeid", getfTrademodeid())
                .append("fPreqty", getfPreqty())
                .append("fWarehouseid", getfWarehouseid())
                .append("fPregrossweight", getfPregrossweight())
                .append("fPrenetweight", getfPrenetweight())
                .append("fQtyd", getfQtyd())
                .append("fVolumnd", getfVolumnd())
                .append("fBillingway", getfBillingway())
                .append("fGrossweightd", getfGrossweightd())
                .append("fNetweightd", getfNetweightd())
                .append("fVolumnc", getfVolumnc())
                .append("fQtyc", getfQtyc())
                .append("fGrossweightc", getfGrossweightc())
                .append("fQtyblc", getfQtyblc())
                .append("fGrossweightblc", getfGrossweightblc())
                .append("fNetweightc", getfNetweightc())
                .append("fNetweightblc", getfNetweightblc())
                .append("fVolumnblc", getfVolumnblc())
                .append("fCntrno", getfCntrno())
                .append("fStatus", getfStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("fMarks", getfMarks())
                .append("fBusinessType", getfBusinessType())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("fOriginalbilldate", getfOriginalbilldate())
                .toString();
    }

}

